﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using C1.WPF.Maps;

namespace C1WPFMap
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            VirtualEarthRoadSource.UriFormat += "&shading=hill";
            c1Maps1.Source = new VirtualEarthRoadSource();

            var items = new C1MapItemsLayer();

            c1Maps1.Layers.Add(items);
            c1Maps1.MouseLeftButtonUp += new MouseButtonEventHandler(c1Maps1_MouseLeftButtonUp);

            Random rnd = new Random();
            for (int i = 0; i < 10; i++)
            {
                Point pt = new Point(-80 + rnd.Next(160), -80 + rnd.Next(160));
                AddPin(pt);
            }

            AddPin(new Point(108.929871, 34.2750));
        }

        void AddPin(Point pt)
        {
            Image pin = new Image();
            pin.Source = (ImageSource)FindResource("PushPin");

            C1MapCanvas.SetPinpoint(pin, new Point(10, 31));
            C1MapCanvas.SetLatLong(pin, pt);

            var items = this.c1Maps1.Layers[0] as C1MapItemsLayer;
            items.Items.Add(pin);
        }

        void c1Maps1_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            if (Keyboard.Modifiers == ModifierKeys.Control)
            {
                AddPin(c1Maps1.ScreenToGeographic(e.GetPosition(c1Maps1)));
            }
        }

        private void c1Maps1_MouseMove(object sender, MouseEventArgs e)
        {
            C1Maps map = sender as C1Maps;

            Point p = map.ScreenToGeographic(e.GetPosition(map));

            this.textBox1.Text = string.Format("{0:f6},{1:f6}", p.X, p.Y);

        }

    }
}
